> ## Documentation Index
> Fetch the complete documentation index at: https://docs.surnex.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get v1dataforseoexecutions results

> Compatibility route. Equivalent to GET /v1/executions/{id}/results for provider=dataforseo.



## OpenAPI

````yaml https://api.surnex.io/.well-known/openapi.json get /v1/dataforseo/executions/{id}/results
openapi: 3.1.0
info:
  title: Surnex API
  version: 0.2.0
servers:
  - url: https://api.surnex.io
security: []
paths:
  /v1/dataforseo/executions/{id}/results:
    get:
      tags:
        - v1
      description: >-
        Compatibility route. Equivalent to GET /v1/executions/{id}/results for
        provider=dataforseo.
      parameters:
        - schema:
            type: string
            format: uuid
          required: true
          name: id
          in: path
      responses:
        '200':
          description: Execution results from snapshot parts and provider logs
          content:
            application/json:
              schema:
                type: object
                properties:
                  execution_id:
                    type: string
                    format: uuid
                  status:
                    type: string
                    enum:
                      - queued
                      - running
                      - complete
                      - partial
                      - failed
                  operation:
                    type: object
                    properties:
                      service:
                        type: string
                      operation_path:
                        type: string
                      mode:
                        type: string
                        enum:
                          - live
                          - task_post
                          - task_get
                          - tasks_ready
                          - tasks_fixed
                        description: DataForSeoOperationMode
                      method:
                        type: string
                        enum:
                          - GET
                          - POST
                        description: HTTPMethod
                    required:
                      - service
                      - operation_path
                      - mode
                      - method
                  provider:
                    type: string
                  results:
                    type: array
                    items:
                      type: object
                      properties:
                        part_type:
                          type: string
                        data_json: {}
                        created_at:
                          type:
                            - string
                            - 'null'
                      required:
                        - part_type
                  expected_parts:
                    type: array
                    items:
                      type: string
                  available_parts:
                    type: array
                    items:
                      type: string
                  scope:
                    type: object
                    properties:
                      request_query:
                        type: object
                        additionalProperties:
                          anyOf:
                            - type: string
                            - type: number
                            - type: boolean
                            - type: 'null'
                            - type: 'null'
                        default: {}
                      request_body: {}
                      part_type:
                        type: string
                    required:
                      - part_type
                  provenance:
                    type: object
                    properties:
                      provider:
                        type: string
                      calls:
                        type: array
                        items:
                          type: object
                          properties:
                            operation:
                              type: string
                            http_status:
                              type:
                                - number
                                - 'null'
                            latency_ms:
                              type:
                                - number
                                - 'null'
                          required:
                            - operation
                            - http_status
                            - latency_ms
                    required:
                      - provider
                      - calls
                required:
                  - execution_id
                  - status
                  - operation
                  - provider
                  - results
                  - expected_parts
                  - available_parts
                  - scope
                  - provenance
              examples:
                complete:
                  value:
                    execution_id: f47ac10b-58cc-4372-a567-0e02b2c3d479
                    status: complete
                    operation:
                      service: serp
                      operation_path: /serp/google/organic/live
                      mode: live
                      method: POST
                    results:
                      - part_type: serp_google_organic_live
                        data_json:
                          tasks: []
                        created_at: '2026-02-24T00:00:00.000Z'
                    expected_parts:
                      - serp_google_organic_live
                    available_parts:
                      - serp_google_organic_live
                    scope:
                      request_query: {}
                      request_body:
                        keyword: seo
                      part_type: serp_google_organic_live
                    provenance:
                      provider: dataforseo
                      calls:
                        - operation: serp_google_organic_live
                          http_status: 200
                          latency_ms: 312
      security:
        - bearerAuth: []
        - apiKeyAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: 'Authorization: Bearer sk_...'
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````